/* CSS GLOBAL */
:root{
    --white: #FBFBFB;
    --black: #5F6A77;
    --light-pink :#FFC0D3;
    --pink : #FB9EBA;
    --light-orange: #FFE5D0;
    --orange: #FF9F52;
    --light-blue: #D8E7FA;
    --blue: #6992C0;

    --font-heading: url('../../fonts/Gilroy-Heavy.ttf');
    --font-body: url('../../fonts/Gilroy-Medium.ttf');
    --font-body-italic: url('../../fonts/Gilroy-MediumItalic.ttf');
    --font-semi-heading: url('../../fonts/Gilroy-SemiBold.ttf');
}

.text-hitam{
    color: var(--black) !important;
}

.text-chise{
    color: var(--pink) !important;
}

.text-allen{
    color: var(--orange) !important;
}

.text-lucia{
    color: var(--blue) !important;
}

hr{
    border: 1px solid var(--blue) !important;
    margin: 0 2rem;
}

@font-face {
    font-family: 'Gilroy-Heavy';
    src: url('../../fonts/Gilroy-Heavy.ttf');
}

@font-face {
    font-family: 'Gilroy-Medium';
    src: url('../../fonts/Gilroy-Medium.ttf');
}

@font-face {
    font-family: 'Gilroy-MediumItalic';
    src: url('../../fonts/Gilroy-MediumItalic.ttf');
}

@font-face {
    font-family: 'Gilroy-SemiBold';
    src: url('../../fonts/Gilroy-SemiBold.ttf');
}

/* FONT STYLES */
.font-heading{
    font-family: 'Gilroy-Heavy' !important;
    font-size: 64px;
}

.font-body{
    font-family: 'Gilroy-Medium' !important;
    font-size: 16px;
}

.font-body-italic{
    font-family: 'Gilroy-MediumItalic' !important;
    font-size: 24px;
}

.font-semi-heading{
    font-family: 'Gilroy-SemiBold' !important;
    font-size: 24px;
}

/* CSS NAVBAR */

.navbar{
    color: var(--black) !important;
    display: flex;
    padding: 5px 30px !important;
    justify-content: space-between;
    align-items: center;
    border-radius: 50px;
    background: #FFE5D0;
    box-shadow: 3px 2px 6.8px 0 rgba(0, 0, 0, 0.25);
    font-size: 20px !important;
    width: 80%;
}

/* .navbar-brand img{
    max-width: 120px;
    
} */

.navbar a{
    color: var(--black) !important;
    text-decoration: none !important;
    margin: 0 15px;
    font-weight: 700 !important;

}

.navbar a:hover{
    color: var(--orange) !important;
}

.nav-link {
    color: var(--orange) !important;
    position: relative;
    font-weight: 500;
}

/* Garis hover */
.nav-link::after {
    color: var(--orange) !important;
    content: '';
    position: absolute;
    left: 0;
    bottom: 5px;
    height: 2px;
    width: 100%;
    background-color: var(--orange);
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}

.nav-link:hover::after {
    color: var(--orange) !important;
    transform: scaleX(1);
}

i{
    font-size: 32px;
}

.navbar-toggler {
    border: none !important;
}


@media (max-width: 992px) {
.navbar{
    padding: 15px 20px !important;
    border-radius: 0 0 30px 30px;
    width: 100%;
}
}

/* card */
.card {
    background-color: #FFFBF4 !important;
    border: 1px solid var(--light-gray);
    border-radius: 8px;
    padding: 1rem;
    transition: transform 0.3s ease;
    color: var(--black) !important;
    line-height: normal !important;
    /* box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.25); */
    box-shadow: 0 0 3.596px 0 rgba(0, 0, 0, 0.25);
}

.card p{
    display: -webkit-box;
    font-size: 16px !important;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

 a{
    text-decoration: none !important;
}
.kotak-gambar{
    overflow: hidden;

}
.card img {
    border-radius: 4px;
    /* aspect-ratio: 5 / 4; */
    object-fit: cover;
    width: 100%;
    transition: transform 0.35s ease-in-out;
}

.card img:hover{
     transform: scale(1.1); 
}

@media (max-width: 576px) {
    .card h3{
        font-size: 16px !important;
    }

    .card p{
        font-size: 14px !important;
    }

    .card h4{
        font-size: 14px !important;
    }
    
    .card button{
        font-size: 14px !important;
        padding: 4px 9px;
    }
}

.btn-outline-primary{
    color: var(--black) !important;
    border-color: var(--black) !important;
    letter-spacing: 2px;
    font-weight: 600;
}

.btn-outline-primary:hover {
    color: var(--white) !important;
    background-color: var(--orange) !important;
    border-color: var(--orange) !important;
}

@media (max-width: 576px) {
    .row>* {
        padding-right: 0.5rem !important;
        padding-left: 0.5rem !important;

    }
}



/* head */
.head{
    background-image: url('../../images/head-bg.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    min-height: 400px;
    position: relative;
    color: var(--black) !important;
    text-align: center;
    overflow: hidden;
    text-transform: uppercase;
}

.head .text{
    position: absolute;
    top: 60%;
    letter-spacing: 6px;
    text-align: left;
}

@media (max-width: 576px) {
    .head {
        min-height: 250px;
        overflow: hidden;
    }

    .head .text{
        position: absolute;
        top: 70%;
        letter-spacing: 6px;
        text-align: left;
    }

    .head img {
        margin-left: 10px;
        position: absolute;
        bottom: 0;
        right: -30px;
        max-width: 350px; 
    }

    .text .font-heading{
        font-size: 28px;
    }

    .text-product .font-heading{
        font-size: 28px;
    }

    .text-product a{
        font-size: 12px !important;
    }

    .text-product p{
        font-size: 12px !important;
    }
}

@media (min-width: 576px) and (max-width: 992px) {
    .head {
        min-height: 300px;
        overflow: hidden;
    }

    .head .text{
        position: absolute;
        top: 70%;
        letter-spacing: 6px;
        text-align: left;
    }

    .head img {
        margin-left: 10px;
        position: absolute;
        bottom: 0;
        right: -30px;
        max-width: 500px; 
    }

    .text .font-heading{
        font-size: 50px;
    }

    .text-product .font-heading{
        font-size: 50px;
    }

    .text-product a{
        font-size: 12px !important;
    }

    .text-product p{
        font-size: 12px !important;
    }
}




.head .text-product{
    position: absolute;
    top: 50%;
    letter-spacing: 6px;
    text-align: left;
}

.text-product a{
    font-size: 16px;
    margin: 0;
    font-weight: 500 !important;
    color: var(--black) !important;
}

.text-product p{
    font-size: 16px;
    margin: 0;
    font-weight: 500 !important;
    color: var(--black) !important;
    letter-spacing: 2px !important;

}

.text-product i{
    font-size: 16px !important;
    margin: 0;
    font-weight: 500 !important;
}

/* footer */
footer {
    display: flex;
    justify-content: center;
    align-items: center;    
    text-align: center;
    background-color: #FFBE89;
    padding: 1rem 0;
    height: 30vh;
}

footer a {
    color: var(--white) !important;
    text-decoration: none;
    font-size: 32px;
    margin: 0 15px;
}

footer a:hover {
    text-decoration: underline;
}
